<style>
.blog_item_txt pre{
    background: #070709;
    border: 1px solid #070709;
    font-weight: 300;
    line-height: 20px;
    padding: 8px;
    border-radius: 4px;
    font-size: 14px;
    margin: 20px 0;
    color: #fff;
}
</style>
<template>
<div class="blog_main">

    <!-- blog_item -->
    <div class="base_load_ct blog_list_load_ct" v-if="on_load">
        <div class="load_circle"></div>
    </div>
    <div class="blog_item blog_item_detail" v-if="data">

        <div class="blog_item_brief_ct">
            <div class="blog_item_logo"></div>
            <div class="blog_item_brief">
                <div class="blog_item_tag blog_brief_tag">{{ data.author }}</div>
                <div class="blog_date blog_brief_tag">{{ time_plus_hours(data.publish_time) }}</div>
            </div>
        </div>

        <div class="blog_item_content_ct">
            <div class="blog_item_title">{{ data.title }}</div>
                <div class="blog_item_bg blog_item_page_bg" v-bind:style="get_bg(data)"></div>
            <div class="blog_item_txt" v-html="data.brief_txt">
                
            </div>
        </div>
        <div class="blog_copyright">
            著作权归作者所有，任何形式的转载都请联系service@eosforce.io获得授权并注明出处。
        </div>
    </div>
    <!-- blog_item -->
    <br/>
    <br/>
    <br/>
    <br/>
    <br/>
</div>
</template>
<script>
// import mk from 'marky-markdown'
import MarkDown from 'markdown-it'
import hljs from 'highlight.js'
import {
    time_plus_hours
} from '../utils/utils.js'
import {
    get_blog_item
} from '../../service/eos_service.js'
export default {
    data () {
        return {
            on_load: true,
            pre: 0,
            data: null
        }
    },
    mounted () {
        this.load_data();
    },
    methods: {
        async load_data () {
            this.start_load();
            let data = await get_blog_item({
                id: this.$route.params.blog_id
            });
            this.finish_load();
            let md = MarkDown({
                html: true,
                linkify: true,
                typographer: true,
                highlight: function (str, lang) {
                    if (lang && hljs.getLanguage(lang)) {
                      try {
                        return hljs.highlight(lang, str).value;
                      } catch (__) {}
                    }
                    return ''; 
                }
            });
            data.data.brief_txt = md.render(data.data.content);
            this.data = data.data;
            this.init_document_config();
        },
        init_document_config () {
            document.title = this.data.title;
            let description_meta = [...document.getElementsByTagName('meta')].find(item => item.name = 'description');
            description_meta.setAttribute('conetent', this.data.brief);
        },
        start_load () {
            this.on_load = true;
        },
        finish_load () {
            this.on_load = false;
        },
        get_bg (item) {
            let img_url = item.illustration || 'https://d2mxuefqeaa7sj.cloudfront.net/s_BE31BB04505E1254935FC2AB12141ACEDE86F0FCC06E5873724C6F8161F3723C_1536734078776_tumblr_omydkqJnpl1qmxteso1_1280.gif';
            return {
                backgroundImage: `url("${img_url}")`
            }
        },
        time_plus_hours
    }
}
</script>